---

# Versions as of 10.14.1 release, on 2018-10-30

homebrew_install: https://raw.githubusercontent.com/Homebrew/install/02ff5137edabddbd0671f5c69214ec5e8ef86156/install
homebrew_cli_version: 6c2f41b90cc77349f594be555aed7d01d5a9f3db
homebrew_cli_version_final: "3.2.0"
homebrew_autoupdate: false

homebrew_taps:
  - homebrew/core
  - homebrew/cask
  - name: gitlab/shared-runners
    url: https://gitlab.com/gitlab-org/ci-cd/shared-runners/homebrew.git

homebrew_taps_versions:
  - path: "{{ homebrew_repository }}/Library/Taps/homebrew/homebrew-core"
    version: 92bf96e55a50a81baad43434ada0053a67b8a45d
    version_final: 751bd95cb2d8c36498119210e937c147382e3dd8
  - path: "{{ homebrew_repository }}/Library/Taps/homebrew/homebrew-cask"
    version: 5676aed9080d5169153e6b9a3e4355a0f83d2f83
    version_final: a1eafdfc5b4bdcf275d753b7e87e08175a1a7679
  - path: "{{ homebrew_repository }}/Library/Taps/gitlab/homebrew-shared-runners"
    version: 1cdfcf448e4bf3eca01e9ad1fc2500e877bb9e19
    version_final: 1cdfcf448e4bf3eca01e9ad1fc2500e877bb9e19

homebrew_installed_packages:
  - coreutils
  # Language and Runtime
  - gcc
  # Package Management
  - carthage
  # Utilities
  - curl
  - git-lfs
  - wget
  - openssl@1.1
  - jq
  - gpg
  - gitlab/shared-runners/sshpass
  - httpd # for brew test php
  - php
  - postgres

homebrew_cask_apps:
  # Language and Runtime
  - powershell

#######################################################################
## asdf-vm
#######################################################################

asdf_version: v0.6.0
asdf_homebrew_deps:
  - coreutils
  - curl
  - git
asdf_plugins:
  - name: dotnet-core
    versions:
      - "2.1.403"
    global: "2.1.403"
  - name: bazel
    versions:
      - "0.19.0"
    global: "0.19.0"
  - name: rust
    versions:
      - "1.30.0"
    global: "1.30.0"
  - name: golang
    versions:
      - "1.11.1"
    global: "1.11.1"
  - name: gradle
    versions:
      - "4.10.2"
    global: "4.10.2"
  - name: maven
    versions:
      - "3.6.0"
    global: "3.6.0"
  - name: nodejs
    versions:
      - "10.13.0"
    global: "10.13.0"
  - name: ruby
    versions:
      - "2.5.3"
    global: "2.5.3"
  - name: java
    versions:
      - "adoptopenjdk-11.0.1+13"
    global: "adoptopenjdk-11.0.1+13"
  - name: python
    versions:
      - "2.7.15"
      - "3.7.1"
    global: "2.7.15 3.7.1"
  - name: gcloud
    versions:
      - "223.0.0"
    global: "223.0.0"

#######################################################################
## Ruby
#######################################################################

ruby_gems:
  - name: bundler
    version: "1.17.1"
  - name: cocoapods
    version: "1.5.3"
  - name: fastlane
    version: "2.107.0"
  - name: xcpretty
    version: "0.3.0"

#######################################################################
## Python
#######################################################################

pip_packages:
  - name: pipenv
    version: "2018.10.13"

#######################################################################
## Node
#######################################################################

npm_packages:
  - name: yarn
    version: "1.12.1"
